package com.mvc.dao;

import com.mvc.entity.TLose;

import java.util.List;

import com.mvc.entity.TLoseExample;
import org.apache.ibatis.annotations.Param;

public interface TLoseMapper {
    long countByExample(TLoseExample example);

    int deleteByExample(TLoseExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TLose record);

    int insertSelective(TLose record);

    List<TLose> selectByExample(TLoseExample example);

    TLose selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TLose record, @Param("example") TLoseExample example);

    int updateByExample(@Param("record") TLose record, @Param("example") TLoseExample example);

    int updateByPrimaryKeySelective(TLose record);

    int updateByPrimaryKey(TLose record);
}